# ionoscloud\_ipfailover

The **IP Failover data source** can be used to search for and return an existing IP Failover object. You need to provide the datacenter\_id and the id of the lan to get the ip failover object for the provided datacenter. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned.

## Example Usage

```hcl
data "ionoscloud_ipfailover" "example" {
  datacenter_id   = "datacenter_id"
  lan_id              = "lan_id"
}
```

## Argument Reference

The following arguments are supported:

* `datacenter_id` - (Required) The ID of the datacenter containing the ip failover datasource
* `lan_id` - (Required) The id of the lan of which the IP failover belongs

## Attributes Reference

The following attributes are returned by the datasource:

* `datacenter_id` - The ID of a Data Center.
* `ip` - The reserved IP address to be used in the IP failover group.
* `lan_id` - The ID of a LAN.
* `nicuuid` - The ID of a NIC.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/ipfailover.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
